[comment {-*- tcl -*- doctools manpage}]
[manpage_begin famfamfam_install_guide n 1]
[include include/module.inc]
[titledesc {FamFamFam - The Installer's Guide}]
[description]
[include include/welcome.inc]

[para]

The audience of this document is anyone wishing to build the packages,
for either themselves, or others.

[para]

For a developer intending to extend or modify the packages we
additionally provide

[list_begin enum]
[enum] [term {FamFamFam - The Developer's Guide}].
[list_end]

[para]

Please read [term {FamFamFam - How To Get The Sources}] first, if that was
not done already. Here we assume that the sources are already
available in a directory of your choice.

[para]

[section Requisites]
[include include/rq_tcl.inc]

[section {Build & Installation}]

To install FamFamFam simply run

[example {
    /path/to/tclsh8.5 /path/to/famfamfam/build.tcl install
}]

where [file /path/to/tclsh8.5] is the tclsh of your Tcl installation, and
[file /path/to/famfamfam] the location of the FamFamFam sources on your system.

[para]

This builds all packages and then places them in a directory where the
[cmd tclsh8.5] will find them. 

[para]

On Windows you can invoke the file [file build.tcl] with a
double-click.  This will pop up a small graphical interface for
entering the destination and performing the installation. This
handling of a double-click is restricted to Windows only however.

[para]

On unix the same GUI is acessible by invoking [file build.tcl] without
any arguments.

[para]

To get help about the methods of [file build.tcl], and their complete
syntax, invoke  [file build.tcl] with argument [method help], i.e., like

[example {
    /path/to/tclsh8.5 /path/to/famfamfam/build.tcl help
}]

[comment {% % %% %%% %%%%% %%%%%%%% %%%%%%%%%%%%% %%%%%%%%%%%%%%%%%%%%%}]
[include include/feedback.inc]
[manpage_end]
